package parallel;

import util.Prime;
import util.PrimeCounter;

import java.util.Arrays;

public class StreamsPrimeCounter implements PrimeCounter {

    @Override
    public int countPrimes(int[] nums) throws Exception {
        return Arrays.stream(nums).parallel().map(n -> Prime.isPrime(n) ? 1 : 0).sum();
    }
}
