package semaphore;

public class CarSimulation implements Runnable {
	private final Queue<Car> valetQueue;
	private final Car car;

	public CarSimulation(Queue<Car> valetQueue, Car car) {
		this.valetQueue = valetQueue;
		this.car = car;
	}
	
	public void run() {
		try {
			valetQueue.put(car);
		} catch (InterruptedException e) {
			e.printStackTrace();
			System.exit(1);
		}
	}
}
