package reentrantrwlock;

import java.util.List;

public class CreatorSimulation implements Runnable {

	private final MovieCatalog myCatalog;
	private final List<Movie> movies;

	public CreatorSimulation(MovieCatalog myCatalog, List<Movie> movies) {
		this.myCatalog = myCatalog;
		this.movies = movies;
	}

	public void run() {
		for (Movie movie : movies) {
			myCatalog.addMovie(movie);
		}
	}
}
