package reentrantrwlock;

public class WatcherSimulation implements Runnable {

	private final MovieCatalog myCatalog;

	public WatcherSimulation(MovieCatalog myCatalog) {
		this.myCatalog = myCatalog;
	}

	public void run() {
		Movie movie = myCatalog.getRandomMovie();
		try {
			movie.play();
		} catch (Exception e) {
			e.printStackTrace();
			System.exit(1);
		}
	}
}
