package util;

public class Prime {

	public static boolean isPrime(int n) {
		if (n <= 2) {
			return n == 2;
		}
		if ((n&1) == 0) {
			return false;
		}
		for (int i = 3; i*i <= n; i += 2) {
			if (n % i == 0) { 
				return false;
			}
		}
		return true;
	}
}
